################################################################################
#
# Makefile  : pdfeTeX, web2c win32.mak makefile fragment to build pdfe-TeX
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <02/11/15 11:47:15 popineau>
#
################################################################################

# The libraries are not mentioned.  As the matter stands, a change in their
# number or how they are configured requires changes to the main distribution
# anyway.

Makefile: $(srcdir)\pdfetexdir\pdfetex.mk

# The C sources.
pdfetex_c = pdfetex.c
pdfetex_o = $(objdir)\pdfetex.obj

# Generation of the web and ch files.
pdfetex.web: $(objdir)\tie.exe tex.web etexdir\etex.ch etexdir/etex.fix \
	pdfetexdir\pdfetex.ch1 pdftexdir\pdftex.ch pdfetexdir\pdfetex.ch2 \
	pdfetexdir\pdfetex.h pdfetexdir\pdfetex.defines
	.\$(objdir)\tie -m pdfetex.web $(srcdir)\tex.web	\
	 $(srcdir)\etexdir\etex.ch 				\
	 $(srcdir)\etexdir\etex.fix 				\
         $(srcdir)\pdfetexdir\pdfetex.ch1 			\
         $(srcdir)\pdftexdir\pdftex.ch 				\
         $(srcdir)\pdfetexdir\pdfetex.ch2
pdfetex.ch: $(objdir)\tie.exe pdfetex.web			\
	    pdfetexdir\tex.ch0 					\
	    tex.ch						\
	    tex-supp-w32.ch					\
	    etexdir\tex.ch1 					\
	    etexdir\tex.ech 					\
	    etexdir\tex.ch2 					\
	    pdfetexdir\tex.ch1					\
	    pdftexdir\tex.pch					\
	    pdfetexdir\tex.ch2
	.\$(objdir)\tie -c pdfetex.ch pdfetex.web 		\
	    $(srcdir)/pdfetexdir\tex.ch0 			\
	    $(srcdir)/tex.ch					\
	    $(srcdir)/tex-supp-w32.ch				\
	    $(srcdir)/etexdir\tex.ch1 				\
	    $(srcdir)/etexdir\tex.ech 				\
	    $(srcdir)/etexdir\tex.ch2 				\
	    $(srcdir)/pdfetexdir\tex.ch1			\
	    $(srcdir)/pdftexdir\tex.pch				\
	    $(srcdir)/pdfetexdir\tex.ch2

pdfetexdir\pdfetex.h: pdftexdir\pdftex.h
	-@$(del) $(@:/=\)
	$(copy) $(**:/=\) $(@:/=\)

pdfetexdir\pdfetex.defines: pdftexdir\pdftex.defines
	-@$(del) $(@:/=\)
	$(copy) $(**:/=\) $(@:/=\)

!if 0
petrip: $(objdir)\pltotf.exe $(objdir)\tftopl.exe $(objdir)\pdfetex.exe $(objdir)\dvitype.exe
	@echo ">>> See $(etestdir)/etrip.diffs for example of acceptable diffs."
	@echo "*** TRIP test for e-TeX in compatibility mode ***."
	.\$(objdir)\pltotf $(testdir)/trip.pl trip.tfm
	.\$(objdir)\tftopl ./trip.tfm trip.pl
	-diff $(testdir)/trip.pl trip.pl
# get same filename in log
	-del /f trip.tex & $(LN) $(testdir)\trip.tex . 
# FIXME: this works only written on 2 lines !!!
	set TEXMFCNFOLD=$(TEXMFCNF)
	set TEXMFCNF=$(etestdir)
	-.\$(objdir)\pdfetex --progname=pdfeinitex <$(testdir)\trip1.in >ctripin.fot
	copy trip.log ctripin.log & del trip.log
	-diff $(testdir)/tripin.log ctripin.log
	-.\$(objdir)\pdfetex <$(testdir)\trip2.in >ctrip.fot
	copy trip.log ctrip.log & del trip.log
	-diff $(testdir)/trip.fot ctrip.fot
	-$(DIFF) $(DIFFFLAGS) $(testdir)/trip.log ctrip.log
	.\$(objdir)\dvitype $(dvitype_args) trip.dvi >ctrip.typ
	-$(DIFF) $(DIFFFLAGS) $(testdir)/trip.typ ctrip.typ
	@echo "*** TRIP test for e-TeX in extended mode ***."
	-.\$(objdir)\pdfetex -progname=einitex <$(etestdir)\etrip1.in >xtripin.fot
	copy trip.log xtripin.log & del trip.log
	-diff ctripin.log xtripin.log
	-.\$(objdir)\pdfetex <$(etestdir)\trip2.in >xtrip.fot
	copy trip.log xtrip.log & del trip.log
	-diff ctrip.fot xtrip.fot
	-$(DIFF) $(DIFFFLAGS) ctrip.log xtrip.log
	.\$(objdir)\dvitype $(dvitype_args) trip.dvi >xtrip.typ
	-$(DIFF) $(DIFFFLAGS) ctrip.typ xtrip.typ
	@echo "*** e-TeX specific part of e-TRIP test ***."
	.\$(objdir)\pltotf $(etestdir)/etrip.pl etrip.tfm
	.\$(objdir)\tftopl ./etrip.tfm etrip.pl
	-diff $(etestdir)/etrip.pl etrip.pl
# get same filename in log
	-del /f etrip.tex & $(LN) $(etestdir:/=\)\etrip.tex . 
	-.\$(objdir)\pdfetex --progname=einitex <$(etestdir)\etrip2.in >etripin.fot
	copy etrip.log etripin.log & del etrip.log
	-diff $(etestdir)/etripin.log etripin.log
	-.\$(objdir)\pdfetex <$(etestdir)\etrip3.in >etrip.fot
	-diff $(etestdir)/etrip.fot etrip.fot
	-$(DIFF) $(DIFFFLAGS) $(etestdir)/etrip.log etrip.log
	set TEXMFCNF=$(TEXMFCNFOLD)

pdfetex-check: petrip pdfetex.efmt
# Test truncation (but don't bother showing the warning msg).
	-.\$(objdir)\pdfetex --output-comment="$(outcom)" \
	  $(srcdir)/tests/hello \
	  && .\$(objdir)\dvitype hello.dvi | grep kb@mail.tug.org >nul
# \openout should show up in \write's.
	-.\$(objdir)\pdfetex $(srcdir)/tests/openout && grep xfoo openout.log
# one.two.tex -> one.two.log
	-.\$(objdir)\pdfetex $(srcdir)/tests/one.two && ls -l one.two.log
# uno.dos -> uno.dos.log
	-.\$(objdir)\pdfetex $(srcdir)/tests/uno.dos && ls -l uno.dos.log
	-.\$(objdir)\pdfetex $(srcdir)/tests/just.texi && ls -l just.log
	-.\$(objdir)\pdfetex $(srcdir)/tests/batch.tex
	-.\$(objdir)\pdfetex --shell $(srcdir)/tests/write18 | grep echo
# tcx files are a bad idea.
#	.\$(objdir)\pdfetex --translate-file=$(srcdir)/share/isol1-t1.tcx \
#	  $(srcdir)/tests/eight && ./dvitype eight.dvi >eigh.typ
	-.\$(objdir)\pdfetex --mltex --progname=einitex $(srcdir)/tests/mltextst
	-.\$(objdir)\pdfetex <nul
#	-PATH=$(kpathsea_dir):$$PATH .\$(objdir)\etex '\nonstopmode\font\foo=nonesuch\end'
	set PATH=$(kpathsea_dir);$(kpathsea_srcdir);$(PATH)
	set MKTEXSCRIPT=$(kpathsea_srcdir)
	set TMPDIR=..
	-.\$(objdir)\pdfetex "\nonstopmode\font\foo=nonesuch\end"
!endif

# end of pdfetex.mak
#  
# Local variables:
# page-delimiter: "^# \f"
# mode: Makefile
# End:
