################################################################################
#
# Makefile  : pdftex, web2c win32.mak fragment to build pdfTeX
# Author    : Fabrice Popineau <Fabrice.Popineau@supelec.fr>
# Platform  : Win32, Microsoft VC++ 6.0, depends upon fpTeX 0.5 sources
# Time-stamp: <02/11/15 11:46:59 popineau>
#
################################################################################

# The libraries are not mentioned.  As the matter stands, a change in their
# number or how they are configured requires changes to the main distribution
# anyway.

# The C sources.
pdftex_c = pdftex.c
pdftex_o = $(objdir)\pdftex.obj

# Generation of the web and ch files.
pdftex.web: $(objdir)\tie.exe tex.web tex.ch pdftexdir/pdftex.ch
	.\$(objdir)\tie -m pdftex.web tex.web pdftexdir/pdftex.ch
pdftex.ch: $(objdir)\tie.exe pdftex.web		\
	   pdftexdir/tex.ch0		\
	   tex.ch				\
	   tex-supp-w32.ch				\
	   pdftexdir/tex.ch1		\
	   pdftexdir/tex.pch		\
	   pdftexdir/tex.ch2
	.\$(objdir)\tie -c pdftex.ch pdftex.web \
	   $(srcdir)/pdftexdir/tex.ch0	\
	   tex.ch				\
	   tex-supp-w32.ch				\
	   $(srcdir)/pdftexdir/tex.ch1	\
	   $(srcdir)/pdftexdir/tex.pch	\
	   $(srcdir)/pdftexdir/tex.ch2

$(objdir)\ttf2afm.exe: $(objdir)\ttf2afm.obj
	$(link) $(objdir)\ttf2afm.obj $(kpathsealib) $(proglib) $(conlibs)

$(objdir)\ttf2afm.obj: pdftexdir\ttf2afm.c
	$(compile) $(**)

# FIXME : does not know how to make xpdflib !
$(objdir)\pdftosrc.exe: $(objdir)\pdftosrc.obj $(xpdflib)
	$(link) $(objdir)\pdftosrc.obj $(xpdflib) $(kpathsealib) $(proglib) $(conlibs)

$(objdir)\pdftosrc.obj: pdftexdir\pdftosrc.cc
	$(compile) /Tp $(**)

pdftex_sources = \
config.guess \
make\library.mk \
kpathsea\c-fopen.h \
kpathsea\configure \
kpathsea\configure.in \
web2c\Makefile.in \
web2c\configure \
web2c\configure.in \
kpathsea\stamp-auto.in \
web2c\c-auto.in \
web2c\stamp-auto.in \
web2c\pdftexdir

pdftex_test_files = \
web2c\tests\texmf.cnf \
web2c\tests\pdftex.cfg \
web2c\tests\test.map \
web2c\tests\pdftest.tex \
web2c\tests\pdftex.ini \
web2c\tests\8a.enc \
web2c\tests\cmtext.enc \
web2c\tests\cmr10.tfm \
web2c\tests\ptmr.tfm \
web2c\tests\ptmr.vf \
web2c\tests\rptmr.tfm \
web2c\tests\rpsyr.tfm \
web2c\tests\image.jpg \
web2c\tests\image.pdf \
web2c\tests\image.png \
web2c\tests\cmr10.pfb \

pdftex_test:
	cd pdftexdir
	-$(deldir) tests & mkdir tests & $(copy) ..\pdftex.pool tests
	for %i in ($(pdftex_test_files)) do $(copy) $(kpathsea_srcdir_parent)\%i tests
	(pushd tests & \
	set TEXMFCNF=..\..\..\kpathsea	& \
	set PATH=..\..\$(objdir);$(PATH) & \
	..\..\$(objdir)\pdftex -ini pdftex.ini & \
	..\..\$(objdir)\pdftex pdftest.tex & \
	popd)

# end of pdftex.mak
#  
# Local variables:
# page-delimiter: "^# \f"
# mode: Makefile
# End:
